محسّن الجودة
تحسين جودة الصور باستخدام الذكاء الاصطناعي مع تحسين الوجوه اختياريًا
المزايا
- توسيع يصل إلى 4 أضعاف
- خيار تحسين الوجه
- يحافظ على جودة الصورة
- معالجة سريعة
التسعير
2 (~$0.02)2 credits per image (any scale/face_enhance setting)
نقطة النهاية
POST
/api/v1/images/generateالمُعاملات
| معامل | النوع | مطلوب | وصف |
|---|---|---|---|
| model | string | مطلوب | Must be "upscaler" |
| type | string | مطلوب | Must be "upscale" |
| image_urls | string[] | مطلوب | Input image URL or base64 (single item) to upscale |
| input_image | string | اختياري | Deprecated. Alias for image_urls[0] |
| scale | number | اختياري | Upscale factor: 1, 2, 3, or 4 (default: 2) |
| face_enhance | boolean | اختياري | Enable face enhancement (default: false) |
مثال للطلب
{
"model": "upscaler",
"type": "upscale",
"image_urls": ["https://tempfile.aiquickdraw.com/workers/nano/image_1772780968156_ygk0zm.png"],
"scale": 4,
"face_enhance": true
}مثال على الرد
{
"success": true,
"data": {
"task_id": "task_up123",
"credits_used": 2,
"remaining_credits": 498
}
}أمثلة التعليمات البرمجية
curl -X POST https://gateway.bananapro.site/api/v1/images/generate \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "upscaler",
"type": "upscale",
"image_urls": ["https://tempfile.aiquickdraw.com/workers/nano/image_1772780968156_ygk0zm.png"],
"scale": 4,
"face_enhance": true
}'